program WithSchemaDemo;
type
  RealArray (n : Integer) = array [1 .. n] of Real;
var
  MyArray : RealArray (42);
begin
  Writeln (MyArray.n);  { writes 42 }
  with MyArray do
    Writeln (n);        { writes 42 }
end.
